apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: client
  labels:
    k8s-app: client
spec:
  selector:
    matchLabels:
      name: client
  template:
    metadata:
      labels:
        name: client
    spec:
      nodeSelector:
        client: "yes"
      hostname: client
      containers:
      - name: client
        imagePullPolicy: Always
        image: $CLIENT_IMAGE
        ports:
          - containerPort: 8080
            hostPort: 8080
        env:
        - name: MY_NODE_NAME
          valueFrom:
            fieldRef:
              fieldPath: spec.nodeName
        - name: JAEGER_AGENT_HOST
          value: jaeger-agent
        # resources:
        #   limits:
        #     cpu: 300m
        #     memory: 100Mi
        #   requests:
        #     cpu: 100m
        #     memory: 40Mi
      terminationGracePeriodSeconds: 15
